# --------------------------------------------------------------------------- #
# $Id: pllmodules.py,v 1.4 2003/06/22 10:31:01 weismann Exp $
# --------------------------------------------------------------------------- #
#

import md5
import os
import string
import pllog
from pllshared import *

def md5_file(filename):
	"""Returns the md5sum of a file or an invalid sum (the empty string)
	if the file does not exist."""
	if not os.path.isfile(filename):
		return ""
	else:
		return md5.new(open(filename).read()).hexdigest()

def find_program(filename):
	path = os.path.expandvars('$PATH')
	dirs = string.split(path,':')
	result = 0
	for d in dirs:
		f = os.path.normpath(d+"/"+filename)
		if os.path.isfile(f): 
			pllog.debug(gt("Program found: %s"%f))
			if os.access(f, os.X_OK):
				pllog.debug(gt("Program %s has execute permission"%f))
				result = f
				break
	return result

